# Simple function stack example: Fibonacci sequence
# fibonacci(0) -> 0
# fibonacci(1) -> 1
# fibonacci(2) -> 1 (0 + 1)
# fibonacci(3) -> 2 (1 + 1)
# fibonacci(4) -> 3 (1 + 2)
# fibonacci(5) -> 5 (2 + 3)
# fibonacci(6) -> 8 (3 + 5)


def fibonacci(n: int):
    if n < 2:
        return n
    else:
        return fibonacci(n - 1) + fibonacci(n - 2)

print(fibonacci(5))
print(fibonacci(6))
print(fibonacci(7))
print(fibonacci(8))
